# QVM: Quaternions, Vectors, Matrices

### boost/qvm/enable_if.hpp

This header defines the SFINAE/enable_if machinery used throughout Boost QVM.

### Synopsis:

#include <boost/qvm/enable_if.hpp>

    #include <boost/utility/enable_if.hpp>

    namespace boost
    {
        namespace qvm
        {
            using boost::enable_if;
            using boost::enable_if_c;
            using boost::lazy_enable_if;
            using boost::lazy_enable_if_c;
        }
    }

See also: enable_if